<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.enums.NonLinearFilter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>enums</b>.<a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html">NonLinearFilter</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.enums.NonLinearFilter Class Reference<br/>
<small>
[<a class="el" href="group__ENUMS.html">1: Enum APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::enums::NonLinearFilter" --><!-- doxytag: inherits="enum::Enum" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Non linear filter type (OpenVX equivalent = vx_non_linear_filter_e). </p>
<dl class="user"><dt><b>Example usage:</b></dt><dd><div class="fragment"><pre class="fragment"> NonLinearFilter.MEDIAN
 NonLinearFilter.MIN
</pre></div> </dd></dl>

<p><a href="classtiovx_1_1enums_1_1NonLinearFilter-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad23b53cff3c057aa44fc832bade4cb8d"></a><!-- doxytag: member="tiovx::enums::NonLinearFilter::MEDIAN" ref="ad23b53cff3c057aa44fc832bade4cb8d" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#ad23b53cff3c057aa44fc832bade4cb8d">MEDIAN</a> = 1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_NON_LINEAR_FILTER_MEDIAN. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4bb9868367333b72c5b608a403843b27"></a><!-- doxytag: member="tiovx::enums::NonLinearFilter::MIN" ref="a4bb9868367333b72c5b608a403843b27" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#a4bb9868367333b72c5b608a403843b27">MIN</a> = 2</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_NON_LINEAR_FILTER_MIN. <br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae14adf51c1dc62b787e983dc4540f74b"></a><!-- doxytag: member="tiovx::enums::NonLinearFilter::MAX" ref="ae14adf51c1dc62b787e983dc4540f74b" args="" -->
int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1enums_1_1NonLinearFilter.html#ae14adf51c1dc62b787e983dc4540f74b">MAX</a> = 3</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">OpenVX equivalent = VX_NON_LINEAR_FILTER_MAX. <br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
